Name:          docker-compose
Version:       2.10.1
Release:       1mamba
Summary:       Define and run multi-container applications with Docker
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/docker/compose
Source:        https://github.com/docker/compose.git/v%{version}/compose-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
Define and run multi-container applications with Docker.

%prep
%setup -q -n compose-%{version}

%build
export GOFLAGS="-buildmode=pie -trimpath -ldflags=-linkmode=external -ldflags=-X=github.com/docker/compose/v2/internal.Version=%{version} -mod=readonly -modcacherw"
CGO_ENABLED=0 go build -trimpath -tags "e2e,kube" -o compose ./cmd

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 compose %{buildroot}%{_prefix}/lib/docker/cli-plugins/docker-compose
install -d %{buildroot}%{_bindir}
ln -sf ../lib/docker/cli-plugins/docker-compose %{buildroot}%{_bindir}/docker-compose

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/docker-compose
%{_prefix}/lib/docker/cli-plugins/docker-compose
%doc LICENSE

%changelog
* Thu Aug 25 2022 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Tue Aug 02 2022 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Sat Jul 30 2022 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Wed Jul 20 2022 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Fri Jun 24 2022 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Tue May 31 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Tue May 17 2022 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Sat May 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-1mamba
- update to 2.5.0

* Sun Aug 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.29.2-1mamba
- package created using the webbuild interface
